<!DOCTYPE html>
<html lang="en" data-ng-app="greenpepper" data-ng-controller="ResultsController">
<head>
    <meta charset="UTF-8">

    <!--build:css support/css/styles.min.css -->
    <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap.css">
    <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap-theme.css">
    <link rel="stylesheet" href="bower_components/ng-table/dist/ng-table.css">
    <link rel="stylesheet" href="bower_components/angular/angular-csp.css">
    <link rel="stylesheet" href="support/css/whhg.css">
    <link rel="stylesheet" href="support/css/greenpepper-report.css">
    <!-- endbuild -->

    <link rel="shortcut icon" href="support/image/greenreport.ico">
    <link rel="icon" type="image/png" href="support/image/greenreport-192.png" sizes="192x192">
    <link rel="apple-touch-icon" sizes="180x180" href="support/image/greenreport-180.png">

    <!--build:js support/js/app.min.js -->
    <script src="bower_components/jquery/dist/jquery.js"></script>
    <script src="bower_components/bowser/src/bowser.js"></script>
    <script src="bower_components/angular/angular.js"></script>
    <script src="bower_components/angular-sanitize/angular-sanitize.js"></script>
    <script src="bower_components/ng-table/dist/ng-table.js"></script>
    <script src="bower_components/angular-bootstrap/ui-bootstrap-tpls.js"></script>
    <script src="bower_components/chart.js/dist/Chart.js"></script>
    <script src="bower_components/angular-chart.js/dist/angular-chart.js"></script>

    <script src="support/app/app.module.js"></script>

    <script src="support/app/services/services.module.js"></script>
    <script src="support/app/services/fileloader.js"></script>
    <script src="support/app/services/location.service.js"></script>

    <script src="support/app/report/report.module.js"></script>
    <script src="support/app/report/results.controller.js"></script>
    <script src="support/app/report/logsmodal.controller.js"></script>
    <script src="support/app/report/resultpage.service.js"></script>
    <!-- endbuild -->

    <title>GreenPepper - {{currentProject.repoName}}</title>
</head>
<body data-ng-init="loadProjects()" class="ng-cloak">
    <div id="body-container" class="container-fluid">
        <div data-ng-show="projects.length > 0">
            <h1 class="page-header text-center">
                <select class="project" title="project"
                        data-ng-change="loadIndexes(currentProject.repoId)"
                        data-ng-model="currentProject"
                        data-ng-options="p as p.repoName for p in projects">
                </select>
                <span class="project-button glyphicon glyphicon-menu-down"></span>
                <span data-ng-show="!initFailure">: {{report.specstotal}} specifications</span>
            </h1>
            <h3 class="text-center">
                <u>Project</u>: {{currentProject.projectName}}, <u>SUT</u>: {{currentProject.systemUnderTest}}<br/>
                started: {{currentProject.startDate}}
            </h3>
        </div>

        <div id="loading-container" class="container" data-ng-show="loadingIndex">
            <h1 class="page-header text-center">Loading indexes</h1>

            <div class="progress">
                <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                    <span class="sr-only">Loading indexes</span>
                </div>
            </div>
        </div>
        <div>
            <div data-ng-show="initFailure" class="jumbotron">
                <h1>{{initFailure.reason}}</h1>
                <blockquote class="text-danger" data-ng-bind-html="initFailure.details"></blockquote>
                <p data-ng-if="initFailure.moreinfo">
                    <a class="btn btn-primary btn-lg"
                       data-ng-href="{{initFailure.moreinfo}}"
                       role="button" target="_blank">More information</a>
                </p>
            </div>
            <div data-ng-show="!initFailure && indexLoaded" id="report-container">
                <div  class="row">
                    <div class="col-sm-6 col-md-6">
                        <h3 class="text-center">Regression state</h3>
                        <div class="col-sm-6 col-md-6">
                            <div class="chart-container center-block">
                                <canvas class="chart chart-pie"
                                        chart-data="report.buildchart.data"
                                        chart-labels="report.buildchart.labels"
                                        chart-colors="report.buildchart.colors"
                                        chart-options="chart.options">
                                </canvas>
                            </div>
                        </div>
                        <form class="col-sm-6 col-md-6 form-horizontal form-condensed">
                            <div class="form-group form-group-sm" data-ng-repeat="label in report.buildchart.labels">
                                <label class="col-sm-6 col-md-6 control-label" style="color:{{report.buildchart.colors[$index]}}">{{label}}</label>
                                <div class="col-sm-6 col-md-6">
                                    <p class="form-control-static" style="color:{{report.buildchart.colors[$index]}}">{{report.buildchart.data[$index]}}</p>
                                </div>
                            </div>
                        </form>
                        <div class="clearfix visible-sm"></div>
                    </div>
                    <div class="col-sm-6 col-md-6">
                        <h3 class="text-center">Current Trust in Specs</h3>
                        <div class="col-sm-6 col-md-6">
                            <div class="chart-container center-block">
                                <canvas class="chart chart-pie"
                                        chart-data="report.trustchart.data"
                                        chart-labels="report.trustchart.labels"
                                        chart-colors="report.trustchart.colors"
                                        chart-options="chart.options">
                                </canvas>
                            </div>
                        </div>
                        <form class="col-sm-6 col-md-6 form-horizontal form-condensed">
                            <div class="form-group form-group-sm" data-ng-repeat="label in report.trustchart.labels">
                                <label class="col-sm-5 col-md-5 control-label" style="color:{{report.trustchart.colors[$index]}}">{{label}}</label>
                                <div class="col-sm-7 col-md-7">
                                    <p class="form-control-static" style="color:{{report.trustchart.colors[$index]}}">{{report.trustchart.data[$index]}}</p>
                        </div>
                            </div>
                        </form>
                        <div class="clearfix visible-sm"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-offset-10 col-sm-offset-10 col-sm-2 col-md-2">
                        <div class="form-group">
                            <label class="control-label">Filter the results</label>
                            <div>
                                <select title="statefilter" name="statefilter" data-ng-model="statefilter" class="form-control" data-ng-change="filterByState()">
                                    <option value="all" selected>All results</option>
                                    <option value="succeeded">Succeeded</option>
                                    <option value="failed">Failing</option>
                                    <option value="skipped">Skipped</option>
                                    <option value="notrun">Not run</option>
                                    <option value="run">Run</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <table data-ng-table="tableParams" class="table table-condensed table-bordered table-striped" show-filter="true">
                    <tr data-ng-repeat-start="spec in $data" id="spec-{{spec.id}}" class="spec">
                        <td title="'State'" filter="{ result: 'text' }" header-class="'stat'" class="text-center"
                            data-ng-class="{ 'bg-success': spec.result == 'succeeded', 'bg-danger': spec.result == 'failed', 'bg-warning': spec.result == 'skipped'  }">
                            <i data-ng-class="{ 'icon-ok': spec.result == 'succeeded', 'icon-remove': spec.result == 'failed', 'icon-warning-sign': spec.result == 'skipped' }"></i>
                        </td>
                        <td title="''" filter="{ implemented: 'support/app/filters/certification.html' }" header-class="'stat'" class="text-center text-info" >
                            <i class="icon-certificatealt" data-ng-show="spec.implemented == true" ></i>
                        </td>
                        <td title="'Specification'" class="spec-title" filter="{ name: 'text'}" sortable="'name'" data-ng-click="displayHTMLResult(currentProject.repoName, spec.id)">{{spec.name}}</td>
                        <td title="'Success'" header-class="'stat'" class="text-right" data-ng-class="{'bg-success': spec.success > '0' }">{{spec.success}}</td>
                        <td title="'Failure'" header-class="'stat'" class="text-right" data-ng-class="{'bg-danger': spec.failure > '0' }">{{spec.failure}}</td>
                        <td title="'Error'" header-class="'stat'" class="text-right" data-ng-class="{'bg-danger': spec.error > '0' }">{{spec.error}}</td>
                        <td title="'Duration(s)'" header-class="'stat'" class="text-right">{{spec.duration}}</td>
                        <td title="'Actions'" header-class="'action-col'" class="text-center">
                            <a title="Source" class="btn btn-link" ng-href="{{spec.link}}" target="_blank" data-ng-if="spec.link">
                                <i class="icon-globe"></i>
                            </a>
                            <a title="Logs" ng-href="{{spec.logs}}" class="btn btn-link" data-ng-click="displayResultLog(currentProject.repoName, spec.id, $event)"
                               data-ng-if="report.resultsfound && spec.result != 'notrun'">
                                <i class="icon-rawaccesslogs"></i>
                            </a>
                        </td>
                    </tr>
                    <tr data-ng-repeat-end id="result-viewer-{{spec.id}}" class="result-viewer" style="display: none;">
                        <td colspan='8'>
                            <div id='view-spec-{{spec.id}}'></div>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="page-footer">
        <i class="glyphicon glyphicon-copyright-mark"></i> Generated by <a href="https://greenpepper.atlassian.net/wiki">GreenPepper ${version}</a>
    </div>
</body>
</html>
